Name:           perl-Tie-Cache
Version:        0.21
Release:        4%{?dist}
Summary:        LRU Cache in Memory
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Tie-Cache/

Source0:        http://search.cpan.org/CPAN/authors/id/C/CH/CHAMAS/Tie-Cache-%{version}.tar.gz
%{?el5:BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)}
BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Run-time:
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)

# Testing
BuildRequires:  perl(Benchmark)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# filter dependencies
%{?perl_default_filter}

%description
This module implements a least recently used (LRU) cache in memory
through a tie interface. Any time data is stored in the tied hash,
that key/value pair has an entry time associated with it, and as
the cache fills up, those members of the cache that are the oldest
are removed to make room for new entries.


%prep
%setup -q -n Tie-Cache-%{version}

%if 0%{?el5}
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(Benchmark)/d' \
    -e '/perl(Tie::Cache)/d' \
    -e '/perl(Tie::Cache::LRU)/d'
EOF

%global __perl_requires %{_builddir}/Tie-Cache-%{version}/%{name}-req
chmod +x %{__perl_requires}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
%if 0%{?el5}
rm -rf %{buildroot}
%endif
make pure_install DESTDIR=%{buildroot}

# drop benchmarking tool here
rm -f %{buildroot}/%{perl_vendorlib}/Tie/tie-cache-bench.pl

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%if 0%{?el5}
%clean
rm -rf %{buildroot}
%endif

%files
%doc README CHANGES
%doc tie-cache-bench.pl
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-3
- Perl 5.22 rebuild

* Sat Feb 28 2015 Denis Fateyev <denis@fateyev.com> - 0.21-2
- Strip unnecessary dependencies

* Wed Feb 25 2015 Denis Fateyev <denis@fateyev.com> - 0.21-1
- Initial release
